////////////////////////////////////////////////////////////////////////////////
//
//               Groundfire
//
////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2004, Tom Russell (tom@groundfire.net)
//
// This file is part of the Groundfire project, distributed under the MIT 
// license. See the file 'COPYING', included with this distribution, for a copy
// of the full MIT licence.
//
////////////////////////////////////////////////////////////////////////////////
//
//   File name : entity.cc
//
//          By : Tom Russell
//
//        Date : 08-Sep-02
//
// Description : The interface class for all the entities in the game. 
//
//
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////////
#include "entity.hh"

////////////////////////////////////////////////////////////////////////////////
// Public Member Functions
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
//
// Function    : cEntity
//
// Description : Constructor
//
////////////////////////////////////////////////////////////////////////////////
cEntity::cEntity
(
    cGame * game
)
: _game (game)
{
    // All entities have a position, initialise to (0,0)
    _x = 0.0f;
    _y = 0.0f;
}

////////////////////////////////////////////////////////////////////////////////
//
// Function    : ~cEntity
//
// Description : Destructor
//
////////////////////////////////////////////////////////////////////////////////
cEntity::~cEntity
(
)
{
}
