////////////////////////////////////////////////////////////////////////////////
//
//               Groundfire
//
////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2004, Tom Russell (tom@groundfire.net)
//
// This file is part of the Groundfire project, distributed under the MIT 
// license. See the file 'COPYING', included with this distribution, for a copy
// of the full MIT licence.
//
////////////////////////////////////////////////////////////////////////////////
//
//   File name : shopmenu.hh
//
//          By : Tom Russell
//
//        Date : 01-Jul-03
//
// Description : Handles the shopping menu which appears between rounds
//
//
//
////////////////////////////////////////////////////////////////////////////////
#ifndef __SHOPMENU_HH__
#define __SHOPMENU_HH__

////////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////////
#include "menu.hh"

class cShopMenu : public cMenu
{
public:
    cShopMenu (cGame * game);
    ~cShopMenu ();

    enumGameState update (double time);
    void          draw   ();

private: 
    void drawBars (float x, float y, float numberOfBars);

    int   _tankSelectPos[8];
    float _tankSelectDelay[8]; // Delay for each tank between switching options
    bool  _tankDone[8];
    bool  _lineLit[10];        // Is this row already lit?
};

#endif // __SHOPMENU_HH__
